/*
 *			i s d i g i . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	isdigit	Test for Digit
index		Test for digit

synopsis
	.s.nf
	int
	isdigit(c)
	int		c;
	.s.f
Description

	Return non-zero if c is a digit, zero otherwise.

Bugs

	The value is defined only if isascii(c) is TRUE.

#endif

#include	<ctype.h>
#ifdef	isdigit
#undef	isdigit
#endif

int
isdigit(c)
int		c;
{
	return (_ctype_[c & 0177] & _D);
}
